# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Thu Jul 11 14:39:58 2024
# ------------------------------------------------

package:
  name: mbg
  version: 1.0.16
source:
  patches:
    - mbg-aarch64.patch
    - version.patch
  sha256: b51f1013c72baed3f2f725bb605e98eb290df285afae7ba219b1cadd9791a50e
  url: https://github.com/maickrau/MBG/files/13408153/MBG.tar.gz
build:
  number: '1'
  run_exports:
    - mbg >=1.0.16,<1.1.0a0
  string: h7f4e536_1
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_16
    - binutils_impl_linux-aarch64 2.40 hf54a868_7
    - binutils_linux-aarch64 2.40 h1f91aba_9
    - gcc_impl_linux-aarch64 12.3.0 h3d98823_13
    - gcc_linux-aarch64 12.3.0 ha52a6ea_9
    - gxx_impl_linux-aarch64 12.3.0 hba91e99_13
    - gxx_linux-aarch64 12.3.0 h9d1f256_9
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_16
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libgcc-devel_linux-aarch64 12.3.0 h6144e03_113
    - libgcc-ng 14.1.0 he277a41_0
    - libgomp 14.1.0 he277a41_0
    - libsanitizer 12.3.0 h57e2e72_13
    - libstdcxx-devel_linux-aarch64 12.3.0 h6144e03_113
    - libstdcxx-ng 14.1.0 h3f4de04_0
    - make 4.3 h309ac5b_1
    - sysroot_linux-aarch64 2.17 h5b4a56d_16
    - tzdata 2024a h0c530f3_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 14.1.0 he277a41_0
    - libgomp 14.1.0 he277a41_0
    - libstdcxx-ng 14.1.0 h3f4de04_0
    - libzlib 1.2.13 h68df207_6
    - zlib 1.2.13 h68df207_6
  run:
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<2.0a0
test:
  commands:
    - MBG -v 2>&1 | grep Version
about:
  home: https://github.com/maickrau/MBG
  license: MIT
  license_file: LICENSE.md
  summary: Minimizer based sparse de Bruijn graph constructor
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
